您的当前位置:首页>全部文章>文章详情

编译安装PHP7.4时出现No package ‘oniguruma‘ found错误

发表于:2023-04-13 20:30:35浏览:583次TAG: #php #oniguruma

oniguruma是一个处理正则表达式的库,在编译安装php时,如果使用—enable-mbstring 参数, 开启mbstring扩展,则会出现这个错误。

原因:mbstring的正则功能需要oniguruma的支持,系统中却没有oniguruma库。

解决方法:

1、在--enable-mbstring参数后添加--disable-mbregex参数,意为不使用mbstring的正则功能,不再需要oniguruma库。

2、使用源码安装oniguruma库

wget https://github.com/kkos/oniguruma/releases/download/v6.9.5_rev1/onig-6.9.5-rev1.tar.gz -O onig-6.9.5.tar.gz
./configure --prefix=/usr --libdir=/lib64

在使用./configure时添加--libdir=/lib64参数,安装完成后重新编译PHP,如果不使用该参数则仍会报错。